<?php

namespace Litecms\Comment\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CommentTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Comment\Models\Comment $comment)
    {
        return [
            'id'                => $comment->getRouteKey(),
            'key'               => [
                'public'    => $comment->getPublicKey(),
                'route'     => $comment->getRouteKey(),
            ], 
            'id'                => $comment->id,
            'name'              => $comment->name,
            'email'             => $comment->email,
            'phone_number'      => $comment->phone_number,
            'comment'           => $comment->comment,
            'status'            => $comment->status,
            'created_at'        => $comment->created_at,
            'updated_at'        => $comment->updated_at,
            'deleted_at'        => $comment->deleted_at,
            'url'               => [
                'public'    => trans_url('comment/'.$comment->getPublicKey()),
                'user'      => guard_url('comment/comment/'.$comment->getRouteKey()),
            ], 
            'status'            => trans('app.'.$comment->status),
            'created_at'        => format_date($comment->created_at),
            'updated_at'        => format_date($comment->updated_at),
        ];
    }
}